INSTALL(1)

NAMN
install — kopiera filer och sätt attribut

SYNOPSIS
install [FLAGGA]... [-T] KÄLLA DEST
install [FLAGGA]... KÄLLA... KATALOG
install [FLAGGA]... -t KATALOG KÄLLA...
install [FLAGGA]... -d KATALOG...

BESKRIVNING

Detta installationsprogram kopierar filer (oftast nykompilerade) till destinationsplatser man väljer. Om man vill hämta och installera ett paket som är färdigt att använda på ett GNU/Linuxsystem bör du istället använda en pakethanterare som yum(1) eller apt-get(1).

De första tre formaten kopierar KÄLLA till DEST eller flera KÄLLor till en befintlig KATALOG, samtidigt som rättigheter och ägare/grupp sätts. Det fjärde formatet skapar KATALOG(er) inklusive eventuella föräldrakataloger.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--backup[=STYR]
    Gör en säkerhetskopia av varje befintlig destinationsfil.

-b  Som --backup men tar inget argument.

-c  (ignorerad)

-C, --compare
    jämför innehållet i käll- och destinationsfiler, och om inget av innehåll, ägare eller rättigheter ändrats, modifiera inte destinationen alls

-d, --directory
    Betrakta alla argument som kataloger; skapa dem inklusive eventuella föräldrakataloger.

-D  Skapa alla föräldrakataloger till DEST utom den sista; eller alla komponenter av --target-directory, kopiera sedan KÄLLA till DEST.

--debug
    förklara hur en fil kopieras. Implicerar -v

-g, --group=GRUPP
    Sätt grupptillhörighet, istället för processens grupp.

-m, --mode=RÄTTIGHET
    Sätt rättigheter (som för chmod(1)), istället för rwxr-xr-x.

-o, --owner=ÄGARE
    Sätt ägare (endast superanvändare).

-p, --preserve-timestamps
    Sätt KÄLLors åtkomst- och modifikationstid på motsvarande destinationsfiler.

-s, --strip
    Ta bort symboltabeller.

--strip-program=PROGRAM
    Program att använda för att ta bort symboltabeller.

-S, --suffix=ÄNDELSE
    Ersätt den vanliga ändelsen för säkerhetskopior.

-t, --target-directory=KATALOG
    Flytta alla KÄLLOR till KATALOG.

-T, --no-target-directory
    Behandla DEST som en vanlig fil.

-v, --verbose
    skriv namnet på varje fil eller katalog som skapas

--preserve-context
    Bevara SELinux-säkerhetskontext.

-Z  Sätt SELinux-säkerhetskontext på destinationsfilen och varje skapad katalog till standardtypen.

--context[=KTX]
    Som -Z, eller om KTX anges, sätt då SELinux- eller SMACK-säkerhetskontext till KTX.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Ändelsen på säkerhetskopior är ”~” om inte annat anges av --suffix eller SIMPLE_BACKUP_SUFFIX. Versionshanteringen kan styras med --backup-flaggan eller med miljövariabeln VERSION_CONTROL. Den kan ha följande värden:

none, off
    Gör aldrig säkerhetskopior (ens om --backup anges).

numbered, t
    Gör numrerade säkerhetskopior.

existing, nil
    Numrerade om det redan finns numrerade, annars enkla.

simple, never
    Gör alltid enkla säkerhetskopior.

UPPHOVSMAN
Skrivet av David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
cp(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/install>
eller tillgängligt lokalt via: info '(coreutils) install invocation'

Paketerat av Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.